local modname = core.get_current_modname()
local modpath = core.get_modpath(modname)
local S = core.get_translator(modname)

local original_unlock = awards.unlock

function awards.unlock(name, award)
    local data  = awards.player(name)
    local awdef = awards.registered_awards[award]
    if not awdef or data.unlocked[award] then
        return
    end
    local unlocked_count = 0
    for _ in pairs(data.unlocked) do
        unlocked_count = unlocked_count + 1
    end
    core.chat_send_all(name.. " " .. S("achieved") .. " '" .. (awdef.title or award) .. "'")
    original_unlock(name, award)
end
